(function ($) {
    "use strict";

    $(document).on('click', '.set_icon', function (e) {
        e.preventDefault();
        var button = $(this);
        var id = $(this).parent().find('.icon_shipping');
        wp.media.editor.send.attachment = function (props, attachment) {
            id.val(attachment.id);
            button.parent().prepend("<img src='" + attachment.url + "' width='50px' height='50px'>");
            button.parent().find(".remove_icon").addClass('show');
            button.hide();
        };
        wp.media.editor.open(button);
        return false;
    });

    $(document).on('click', ".remove_icon", function () {
        $(this).removeClass('show');
        $(this).parent().find('img').remove();
        $(this).parent().find('.icon_shipping').val('');
        $(this).parent().append('<a href="javascript:void(0);" class="set_icon button">Add Icon</a>');
    });
    $(document).ready(function () {


        $('.txtcolor').wpColorPicker();
    });
})(jQuery);