<?php

class Rpsmdw_Loader {

    public function __construct()
    {
        $this->loadPluignFiles();
        $this->loadSetup();
    }

    /**
     * include plugin files
     */
    public function loadPluignFiles()
    {
        global $rpsmdw_plugin_dir;
        include_once $rpsmdw_plugin_dir . 'lib/Rpsmdw_Main.php';
        include_once $rpsmdw_plugin_dir . 'lib/Rpsmdw_Admin.php';
        include_once $rpsmdw_plugin_dir . 'lib/Rpsmdw_Front.php';
    }

    /**
     * initialize plugin classes
     */
    public function loadSetup()
    {
        if (is_admin()) {
            new Rpsmdw_Admin();
        }
        new Rpsmdw_Front();
    }

}

new Rpsmdw_Loader();
